(function start_cpa() {
  if (this.tracker) return;
  this.service = analytics.getService('dmooji');
  this.tracker = this.service.getTracker('UA-97483462-6');
  this.tracker.sendEvent('start');
})()

// EVENT
window.dmoojiSendGaEvent = (value) => {
  if (!value) return;
  this.tracker.sendEvent(value);
}

// APPVIEW, never get a hit in the console
window.dmoojiGaAppView = (view) => {
  this.tracker.sendAppView(view);
}

window.getClientId = () => {
  const clientId = this.tracker.D.j.oa;
  return clientId;
}

// send page view through ga api
window.sendPageView = (page) => {
  if (!page) return;

  const clientId = this.tracker.D.j.oa;
  const url = `https://www.google-analytics.com/collect?v=1&t=pageview&tid=UA-97483462-6&cid=${clientId}&dp=${page}`

  // sometimes cors issue?
  fetch(url, {
    method: 'POST',
  })
  .then((response) => {
  })
  .catch((error) => {
    console.error('sendPageView error', error)
  })
}
